Bug 1573787 - [OSP13] live-migration uses port range from ephemeral port range
Summary: [OSP13] live-migration uses port range from ephemeral port range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: z2
: 13.0 (Queens)
Assignee: Rajesh Tailor
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1313507 1573791 1573793 1573796 1597541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:34 UTC by Rajesh Tailor
Modified: 2019-10-10 12:18 UTC (History)
17 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-48.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, libvirtd live-migration used ports 49152 to 49215, as specified in the qemu.conf file. On Linux, this range is a subset of the ephemeral port range 32768 to 61000. Any port in the ephemeral range can be consumed by any other service as well. As a result, live-migration failed with the error: Live Migration failure: internal error: Unable to find an unused port in range 'migration' (49152-49215). The new libvirtd live-migration range of 61152 to 61215 is not in the ephemeral range.
Clone Of: 1313507
Environment:
Last Closed: 2018-08-29 16:35:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 561784 0 None MERGED Modify libvirt port range for live-migration 2020-10-23 07:59:07 UTC
OpenStack gerrit 564171 0 None MERGED Modify libvirt port range for live-migration 2020-10-23 07:59:07 UTC
Red Hat Product Errata RHBA-2018:2574 0 None None None 2018-08-29 16:36:50 UTC

Comment 14 Joanne O'Flynn 2018-08-15 08:06:09 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 16 errata-xmlrpc 2018-08-29 16:35:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2574


Note You need to log in before you can comment on or make changes to this bug.